#!/usr/local/bin/tsipp
#
# Torus object. -misc = SIMPLE or FAT
#
# $Id: torus.tcl,v 1.3 1996/11/08 18:11:49 markd Exp $
#

source ../utils.tcl

ParseArgs

switch -- [string toupper $misc] {
    SIMPLE {set tube 2.0}
    FAT {set tube 3.0}
    default {Fatal "Invalid value for -misc \"$misc\""}
}

set shader [SippShaderBasic 0.4 0.6 0.2 {0.0 0.0 1.0}]
set obj [SippTorus 4.0 $tube 20 10 $shader]
SippObjectAddSubobj WORLD $obj

StdLights
StdRender {-6.0 -6.0 35.0}

