#!/usr/local/bin/tsipp
#
# Single MBrick rendered to a pixmap and copied to an RLE file.
#
# $Id: pixmap.tcl,v 1.2 1996/05/26 20:19:31 markd Exp $
#

source ../utils.tcl
source ../compound_objects/mbrick_procs.tcl

ParseArgs

SippLightSourceCreate {15.0 15.0 15.0} {0.9 0.9 0.9} POINT
SippCameraParams STDCAMERA {-4.0 4.0 10.0} {0.0 0.0 0.0} {0.0 1.0 0.0} 0.4

SippObjectAddSubobj WORLD [MBrick $final]

SippShowBackFaces $backfaces
set pix [SippPixMapCreate]
SippRender $pix $size $size $mode [expr $final ? 3 : 1]

set rle [SippRLEOpen $output w]
SippCopy $pix $rle
SippRLEClose $rle

SippPixMapUnref $pix
