#!/usr/local/bin/tsipp
#
# Objects shaded with planet shader. --misc == SPHERE or CUBE.
#
# $Id: planet.tcl,v 1.3 1996/11/08 18:11:51 markd Exp $
#

source ../utils.tcl

ParseArgs

set shader [SippShaderPlanet 0.4 0.0 0.5]

switch -- $misc {
    SPHERE {
        set obj [SippSphere 1.0 25 $shader]
    }
    CUBE {
        set obj [SippCube 1.4 $shader]
    }
    {} {
        Fatal "-misc flag must be used to specify an object"
    }
    default {
        Fatal "Invalid argument to -misc \"$misc\""
    }
}
SippObjectAddSubobj WORLD $obj

StdLights
StdRender
